package com.example.onlinejudge.service;

import com.example.onlinejudge.model.entity.result.Result;

public interface QuestionService {
    /**
     * 接受用户提交的解决方案
     * @param questionID 问题id
     * @param code 用户提交的代码
     * @param language 使用的语言
     * @param userCases 用户自测用例
     * @param judgeMode 判断模式
     * @return
     */
    Result receiveCode(Long questionID, String code, String language, String userCases, Integer judgeMode);

    /**
     * 判断本次用户提交的解决方案是否合法
     * @param userId 用户id
     * @param questionID wentiid
     * @return
     */
    boolean checkIsSubmitValid(Long userId, Long questionID);
}
